sailpoint.object

## Interface RuleRunner

All Known Subinterfaces:
  SailPointContext

    public interface RuleRunner

Interface of an object that is able to execute rules and scripts.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `runRule(Rule rule, java.util.Map<java.lang.String,java.lang.Object> params)` Run a rule and return the result or null if there is no result.
`java.lang.Object` `runRule(Rule rule, java.util.Map<java.lang.String,java.lang.Object> params, java.util.List<Rule> libraries)` Run a rule and return the result or null if there is no result.
`java.lang.Object` `runScript(Script script, java.util.Map<java.lang.String,java.lang.Object> params)` Run a script and return the result.
`java.lang.Object` `runScript(Script script, java.util.Map<java.lang.String,java.lang.Object> params, java.util.List<Rule> libraries)` Run a script and return the result, also include any passed in libraries into the script's runtime context.

### Method Detail

#### runRule

    java.lang.Object runRule(Rule rule,
                             java.util.Map<java.lang.String,java.lang.Object> params)
                      throws GeneralException

Run a rule and return the result or null if there is no result.

Parameters:
  `rule` - The Rule to run.
  `params` - A name/value map of parameters to pass into the rule.
Returns:
  The result of the execution of the Rule, or null if there is no result.
Throws:
  `GeneralException`

#### runRule

    java.lang.Object runRule(Rule rule,
                             java.util.Map<java.lang.String,java.lang.Object> params,
                             java.util.List<Rule> libraries)
                      throws GeneralException

Run a rule and return the result or null if there is no result.

Parameters:
  `rule` - The Rule to run.
  `params` - A name/value map of parameters to pass into the rule.
  `libraries` - List of Rule libraries that should be evaluated with the rule
Returns:
  The result of the execution of the Rule, or null if there is no result.
Throws:
  `GeneralException`

#### runScript

    java.lang.Object runScript(Script script,
                               java.util.Map<java.lang.String,java.lang.Object> params)
                        throws GeneralException

Run a script and return the result.

Throws:
  `GeneralException`

#### runScript

    java.lang.Object runScript(Script script,
                               java.util.Map<java.lang.String,java.lang.Object> params,
                               java.util.List<Rule> libraries)
                        throws GeneralException

Run a script and return the result, also include any passed in libraries into the script's runtime context.

Throws:
  `GeneralException`